<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();
//Impide que la p�gina sea vista desde el navegador.
if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	    
$cedula_docente=$_SESSION['CEDULA_USUARIO'];


$id_periodo=$_GET['id_periodo'];
$id_carrera=$_GET['id_carrera'];
$sede=$_GET['sede'];
$mencion=$_GET['mencion'];

if($mencion=='CIU' or $mencion=='CG'){
   $nivel=$mencion;
   $mencion='COMUN';
}
else{
   $nivel='CP';
}

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");


$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede, ubicacion_sede FROM sedes  where codigo='$sede'";
$rstSede = mysql_query($query_rstSede, $cn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);
$nombre_sede= $row_rstSede['ubicacion_sede'].'-'.$row_rstSede['nombre_sede'];

$query_rstPeriodos = "SELECT periodos.codigo, periodos.mes_inicio,periodos.mes_fin,periodos.codigo,periodos.tipo FROM periodos where id_periodo='$id_periodo'";
$rstPeriodos = mysql_query($query_rstPeriodos, $cn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
$periodo=$row_rstPeriodos['codigo'].'-'.$row_rstPeriodos['tipo'].' ('.$row_rstPeriodos['mes_inicio'].'-'.$row_rstPeriodos['mes_fin'].')';

//Datos de la Carga Acad�mica del Docente
if($mencion=="0"){
$query_rstCarga = "Select
secciones.seccion,
secciones.semestre,
sedes.nombre_sede,
turnos.turno,
secciones.mencion,
secciones.nivel
From
secciones
Inner Join sedes ON secciones.sede = sedes.codigo
Inner Join turnos ON secciones.turno = turnos.codigo where secciones.periodo='$id_periodo'";
  if($sede!=0){
     $query_rstCarga=$query_rstCarga." and secciones.sede='$sede'";
   }
   
     $query_rstCarga=$query_rstCarga." ORDER BY
       secciones.sede,secciones.semestre,secciones.seccion,secciones.turno";
}
else{
$query_rstCarga = "Select
secciones.seccion,
secciones.semestre,
sedes.nombre_sede,
turnos.turno,
secciones.mencion,
secciones.nivel
From
secciones
Inner Join sedes ON secciones.sede = sedes.codigo
Inner Join turnos ON secciones.turno = turnos.codigo
where secciones.periodo='$id_periodo' and secciones.mencion='$mencion' and secciones.nivel='$nivel'";
if($sede!=0){
   $query_rstCarga=$query_rstCarga." and secciones.sede='$sede'";
 }
$query_rstCarga=$query_rstCarga." ORDER BY
secciones.sede,secciones.semestre,secciones.seccion,secciones.turno
";
}


// echo $query_rstCarga.'<BR>';
$rstCarga = mysql_query($query_rstCarga, $cn) or die(mysql_error());
//$row_rstCarga = mysql_fetch_assoc($rstCarga);
$totalRows_rstCarga = mysql_num_rows($rstCarga);


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."OFERTA ACADÉMICA DE SECCIONES".'</b>'),14,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."            CARRERA: ".'</b>'."LICENCIATURA EN CIENCIAS FISCALES",10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode('<b>'."            LAPSO: ".'</b>').$periodo.'<b>'."                                                FECHA: ".'</b>'.date("d/m/Y"));

$pdf->ezsetdy(-10);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.5,4,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.    '.'</b>', 
              'sede'=>'<b>'.'        Sede'.'</b>', 
              'semestre'=>'<b>'.'Semestre'.'</b>', 
              'seccion'=>'<b>'.utf8_decode('Sección').'</b>',
			  'mencion'=>'<b>'.utf8_decode('            Mención').'</b>', 
			  'turno'=>'<b>'.'Turno'.'</b>');
			 
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
while ($row = mysql_fetch_row($rstCarga)) { 
    $seccion  = $row[0];    // Nombre de la Carrera.
	$semestre  = $row[1];    // Nombre de la Materia.
	$sede     = $row[2];    // Sede 
	$turno  = $row[3];    // Código de la Sección.
	$mencion  = $row[4];
	$nivel  = $row[5]; 
	// Se obtienen las materias que el alumno ha cursado.
	if($mencion=="COMUN"){
	   if($nivel=="CIU") $nombre_mencion="C.I.U.";
       if($nivel=="CG") $nombre_mencion="COMPONENTE GENERAL";
    }
	if($mencion=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
    if($mencion=="FIN") $nombre_mencion=utf8_decode("FINANZAS PÚBLICAS");
    if($mencion=="RT") $nombre_mencion="RENTAS";
  
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc.'    ',
	                'sede'=>$sede,
					'semestre'=>$semestre,
                    'seccion'=>$seccion,  
					'mencion'=>$nombre_mencion,
					'turno'=>$turno); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'right')
             ,'sede'=>array('justification'=>'left')  
             ,'semestre'=>array('justification'=>'center') 
             ,'seccion'=>array('justification'=>'center')
			 ,'mencion'=>array('justification'=>'left')
			 ,'turno'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}
?> 